"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(cb) {
    var transformEvent = function (type) {
        var origin = window.history[type];
        return function () {
            var data = arguments[0], title = arguments[1], url = arguments[2];
            var rv = origin.apply(window.history, [data, title, url]);
            var e = new Event(type);
            e.arguments = arguments;
            window.dispatchEvent(e);
            return rv;
        };
    };
    window.history.pushState = transformEvent('pushState');
    window.history.replaceState = transformEvent('replaceState');
    window.addEventListener('replaceState', function (e) {
        cb();
    });
    window.addEventListener('pushState', function (e) {
        cb();
    });
}
exports.default = default_1;
//# sourceMappingURL=globalListener.js.map