import { MonitorConfig } from '../types';
import { MetricsData } from '../types/performance';
export default class {
    private integratedController;
    private idleQueue;
    private defaultResult?;
    constructor();
    integratedConfig(config: MonitorConfig): Promise<MetricsData | void>;
    getFCP(): Promise<MetricsData>;
    getFID(): Promise<MetricsData>;
    getFMP(): Promise<MetricsData>;
    getTTI(): Promise<MetricsData>;
    getTTFB(): Promise<MetricsData>;
    getLCP(): Promise<MetricsData>;
    getNavTiming(): Promise<MetricsData>;
    safteyTracker(): void;
    private transformResult;
    private pushTask;
}
