declare class IdleQueue {
    private taskQueue;
    private defaultMinTaskTime;
    private ensureTaskRun;
    private idleCallbackHandle;
    private processing;
    constructor({ ensureTaskRun, defaultTaskTime }?: {
        ensureTaskRun?: boolean | undefined;
        defaultTaskTime?: number | undefined;
    });
    pushTask(cb: any): void;
    private addTask;
    private scheduleTasksToRun;
    private cancelScheduleRun;
    private runTask;
    private hasPendingTasks;
    private shouldYield;
}
export default IdleQueue;
