import { MetricsData } from '../types/performance';
export default class<T> {
    private navEntry;
    getFirstPaint(): Promise<T>;
    getFirstInputDelay(): Promise<T>;
    getFirstMeaningFulPaint(): Promise<T>;
    getTimeToInteractive(): Promise<T>;
    getLargestContentFulPaint(): Promise<T>;
    getTimeToFirstByte(): MetricsData;
    getNavigationTiming(): T;
    private perfTypeWithData;
}
