"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = exports.logMetrics = exports.trackerMetrics = void 0;
exports.trackerMetrics = function (config, trackerCb) {
    var projectName = config.projectName, _a = config.version, version = _a === void 0 ? 0 : _a, _b = config.data, data = _b === void 0 ? {} : _b;
    if (trackerCb) {
        trackerCb({ projectName: projectName, version: version, data: data });
    }
};
exports.logMetrics = function (config, cb) {
    var data = config.data;
    exports.trackerMetrics(config, cb);
    exports.log(data);
};
exports.log = function (data) {
    for (var key in data) {
        console.log("monitor " + key + ": " + data[key] + "ms");
    }
};
//# sourceMappingURL=logPerf.js.map