"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (function (entryTypes) {
    var ob, entries;
    return new Promise(function (resolve, reject) {
        ob = new PerformanceObserver(function (entryList) {
            entries = entryList.getEntries();
            resolve({ ob: ob, entries: entries });
        });
        ob.observe({ entryTypes: entryTypes, buffered: true });
    });
});
//# sourceMappingURL=observe.js.map