"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    checkHook: function (fn) {
        if (fn.toString().indexOf('[native code]') > 0) {
        }
        else {
        }
    },
    alertHook: function () {
        var _alert = window.alert;
        window.alert = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            _alert.apply(void 0, args);
            // [native code]
        };
    },
    consoleHook: function () {
        var _console = Object.assign({}, window.console);
        var _loop_1 = function (key) {
            window.console[key] = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                _console[key].apply(_console, args);
                // [native code]
            };
        };
        for (var key in _console) {
            _loop_1(key);
        }
    },
    promptHook: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var _prompt = window.prompt;
        window.prompt = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            // [native code]
            return _prompt.apply(void 0, args);
        };
    },
    confirmHook: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var _confirm = window.confirm;
        window.confirm = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            // [native code]
            return _confirm.apply(void 0, args);
        };
    },
};
//# sourceMappingURL=hijack.js.map