/**
 * 支持Performance对象
 */
export declare const supportPerformance: () => boolean;
/**
 * 支持PerformanceObsever
 */
export declare const supportPerformanceObserver: () => boolean;
/**
 * 支持MutationObserver
 */
export declare const supportMutationObserver: () => boolean;
/**
 * @return {number} The current date timestamp
 */
export declare const now: () => number;
/**
 *
 * @param arr
 */
export declare const flatObjectInArr: (arr: any) => {
    [key: string]: any;
};
/**
 *
 * @param to
 * @param from
 */
export declare const extend: <T, U>(to: T, from: U) => T & U;
/**
 * 可视区域节点显示面积比例
 * @param target
 */
export declare const calculateAreaPrecent: (target: Element) => number;
export declare const generateHash: () => string;
